Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.one2team.highcharts.server
Class JSMStyle

    java.lang.Object
      org.one2team.highcharts.server.JSMBaseObject
          org.one2team.highcharts.server.JSMStyle

All Implemented Interfaces:
  org.mozilla.javascript.Scriptable, Style

    public class JSMStyle

extends JSMBaseObject
implements Style

Field Summary

Fields inherited from class org.one2team.highcharts.server.JSMBaseObject
`innerHTML, userObject`

Fields inherited from interface org.mozilla.javascript.Scriptable
`NOT_FOUND`

Constructor Summary
`JSMStyle()`

Method Summary
`java.lang.Object` | `get(java.lang.String name, org.mozilla.javascript.Scriptable start)`
`java.lang.Object[]` | `getIds()`
`java.util.Map<java.lang.String,java.lang.String>` | `getProperties()`
`java.lang.String` | `getProperty(java.lang.String property)`
`boolean` | `has(java.lang.String name, org.mozilla.javascript.Scriptable start)`
`void` | `put(java.lang.String name, org.mozilla.javascript.Scriptable start, java.lang.Object value)`
`Style` | `setProperty(java.lang.String property, java.lang.String value)`

Methods inherited from class org.one2team.highcharts.server.JSMBaseObject
`delete, delete, get, getClassName, getDefaultValue, getInnerHTML, getParentScope, getPrototype, getUserObject, has, hasInstance, put, setInnerHTML, setParentScope, setPrototype, setUserObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSMStyle

    public JSMStyle()

Method Detail

### setProperty

    public Style setProperty(java.lang.String property,
                             java.lang.String value)

  Specified by:
    `setProperty` in interface `Style`

### getProperty

    public java.lang.String getProperty(java.lang.String property)

  Specified by:
    `getProperty` in interface `Style`

### getProperties

    public java.util.Map<java.lang.String,java.lang.String> getProperties()

### getIds

    public java.lang.Object[] getIds()

  Specified by:
    `getIds` in interface `org.mozilla.javascript.Scriptable`
  Overrides:
    `getIds` in class `JSMBaseObject`

### get

    public java.lang.Object get(java.lang.String name,
                                org.mozilla.javascript.Scriptable start)

  Specified by:
    `get` in interface `org.mozilla.javascript.Scriptable`
  Overrides:
    `get` in class `JSMBaseObject`

### has

    public boolean has(java.lang.String name,
                       org.mozilla.javascript.Scriptable start)

  Specified by:
    `has` in interface `org.mozilla.javascript.Scriptable`
  Overrides:
    `has` in class `JSMBaseObject`

### put

    public void put(java.lang.String name,
                    org.mozilla.javascript.Scriptable start,
                    java.lang.Object value)

  Specified by:
    `put` in interface `org.mozilla.javascript.Scriptable`
  Overrides:
    `put` in class `JSMBaseObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD